<?php

namespace App\Providers;

use App\Services\SoapService;
use Illuminate\Support\ServiceProvider;

class SoapServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton(SoapService::class, function () {
            // 这里替换为你的SOAP服务的WSDL地址
            $wsdlUrl = 'http://yijiyuyue//aa.wsdl';
            return new SoapService($wsdlUrl);
        });
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
